[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: wheezy with KDE from sid



Am Sunday, 5. June 2011 schrieb Lisandro Damián Nicanor Pérez Meyer:
> On Sáb 04 Jun 2011 14:21:15 Rainer Dorsch escribió:
> > Hello,
> > 
> > I am wondering, if there is a good way to pull KDE and its dependencies
> > from sid on a wheezy installation.
> > 
> > I am not asking about apt sources.list and preferences, but what is the
> > right apt command to do that?
> > 
> > E.g. if listing packages explicitly
> > 
> > 	# apt-get install -t kde-full kdeutils kdenetworking ....
> > 
> > how do I get a complete list of packages. Is there a better way to do
> > that?
> 
> -t is used to select the distro.

Yes, that was a typo. I meant

	# apt-get install -t kde-full kdeutils kdenetworking ....
 
> You can use:
> 
> apt-get -t unstable install kde-full

That does not work, because kde-full does depend only on versions > 4.4.3

Is that a bug??

Here the output of apt on my system:

rd@blackbox:~/Managed$ apt-cache policy kde-full
kde-full:
  Installiert: 5:68
  Kandidat:    5:68
  Versionstabelle:
 *** 5:68 0
        300 http://ftp-stud.fht-esslingen.de/debian/ sid/main i386 Packages
        100 /var/lib/dpkg/status
     5:66 0
        600 http://ftp-stud.fht-esslingen.de/debian/ wheezy/main i386 Packages
rd@blackbox:~/Managed$ apt-cache show kde-full=5:68
Package: kde-full
Source: meta-kde
Version: 5:68
Installed-Size: 16
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Architecture: all
Provides: kde-software-compilation
Depends: kde-plasma-desktop (>= 5:68), kde-plasma-netbook (>= 5:68), kdeadmin 
(>= 4:4.4.3), kdeartwork (>= 4:4.4.3), kdegraphics (>= 4:4.4.3), kdeedu (>= 
4:4.4.3), kdegames (>= 4:4.4.3), kdemultimedia (>= 4:4.4.3), kdenetwork (>= 
4:4.4.3), kdeutils (>= 4:4.4.3), kdepim (>= 4:4.4.3), kdeplasma-addons (>= 
4:4.4.3)
Recommends: kde-standard (>= 5:68), kdeaccessibility (>= 4:4.4.3), kdesdk (>= 
4:4.4.3), kdetoys (>= 4:4.4.3), kdewebdev (>= 4:4.4.3)
Suggests: kde-l10n (>= 4:4.4.3), koffice (>= 1:2.2.1), xorg
Breaks: kde-minimal (<< 5:57)
Description: complete KDE Software Compilation for end users
 KDE is the powerful, integrated, and easy-to-use Free Software desktop
 platform and suite of applications.
 .
 This metapackage includes all the official modules released with KDE Sotware
 Compilation that are not specific to development and as well other KDE
 applications that are useful for a desktop user. This includes multimedia,
 networking, graphics, education, games, system administration tools, and 
other
 artwork and utilities.
Homepage: http://www.kde.org
Tag: role::metapackage, suite::kde
Section: kde
Priority: optional
Filename: pool/main/m/meta-kde/kde-full_68_all.deb
Size: 10516
MD5sum: 28f489ded8afc018f1ef47b8c998e44e
SHA1: cc3f72ca27850f60d3eb640a33b22d2faec94e42
SHA256: bf175b4fc311c1977680cbcbe115cb2e8b2b4dde950a14a9f80a9201636cd419

rd@blackbox:~/Managed$ 


> 
> In my case, I have both testing and unstable in my sources.list and my
> apt.conf reads:
> 
> APT::Default-Release "unstable";
> 
> Just change unstable with testing or do a manual pinning, as you wish.

Thanks. 

Rainer


-- 
Rainer Dorsch
Lärchenstr. 6
D-72135 Dettenhausen
07157-734133
email: rdorsch@web.de
jabber: rdorsch@jabber.org
GPG Fingerprint: 5966 C54C 2B3C 42CC 1F4F  8F59 E3A8 C538 7519 141E

Attachment: signature.asc
Description: This is a digitally signed message part.


Reply to: